%define srcname characteristic

Name:           python-%{srcname}
Version:        14.3.0
Release:        %mkrel 7
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python
License:        MIT
URL:            https://github.com/hynek/characteristic/
Source0:        https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!


%package -n python3-%{srcname}
Summary:        Python library that eases the chores of implementing attributes
Group:          Development/Python

%description -n python3-%{srcname}
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!

%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/test_%{srcname}.py
%{python3_sitelib}/__pycache__/%{srcname}.*.py[co]
%{python3_sitelib}/__pycache__/test_%{srcname}.*.py[co]
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 14.3.0-7.mga8
+ Revision: 1535546
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 14.3.0-6.mga8
+ Revision: 1452155
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 14.3.0-5.mga7
+ Revision: 1352152
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 14.3.0-4.mga7
+ Revision: 1288405
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 14.3.0-3.mga7
+ Revision: 1135338
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 14.3.0-2.mga6
+ Revision: 971960
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 philippem <philippem> 14.3.0-1.mga6
+ Revision: 893681
- imported package python-characteristic

